- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# schroot-main-base.cc File Reference

`#include <config.h>`
`#include "schroot-main-base.h"`
`#include <sbuild/sbuild-auth-conv.h>`
`#include <sbuild/sbuild-auth-conv-tty.h>`
`#include <cstdlib>`
`#include <ctime>`
`#include <iostream>`
`#include <locale>`
`#include <termios.h>`
`#include <unistd.h>`
`#include <boost/format.hpp>`

Include dependency graph for schroot-main-base.cc:

## Typedefs
typedef std::pair< main_base::error_code, const char * > | emap
## Variables
emap | init_errors []
| This is a list of the supported error codes.

## Typedef Documentation

typedef std::pair<main_base::error_code,const char *> emap`[static]`

## Variable Documentation

emap init_errors[]`[static]`

Initial value:

        {

          emap(main_base::CHROOTS_NOTFOUND,  N_("%1%: Chroots not found")),

          emap(main_base::CHROOT_FILE,       N_("No chroots are defined in '%4%'")),

          emap(main_base::CHROOT_FILE2,      N_("No chroots are defined in '%4%' or '%5%'")),

          emap(main_base::CHROOT_NOTDEFINED, N_("The specified chroots are not defined in '%1%'")),

          emap(main_base::CHROOT_NOTFOUND,   N_("%1%: Chroot not found"))
        }

This is a list of the supported error codes.

It's used to construct the real error codes map.